VST 3 Interfaces: Midi2Controller Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | List of all members
Midi2Controller Struct Reference

Midi2Controller. More...

`#include <ivstmidimapping2.h>`

## Static Public Member Functions
static bool | isRegisteredController (const Midi2Controller &mc)
| Returns true if the MIDI2 controller struct is a registered controller and false if it is an assignable controller.
static uint8 | bank (const Midi2Controller &mc)
| Returns the bank number of the MIDI2 controller struct.
static uint8 | index (const Midi2Controller &mc)
| Returns the index number of the MIDI2 controller struct.
static Midi2Controller | create (bool registered, uint8 bank, uint8 index)
| Creates a new MIDI2 controller struct.
static void | setIsRegisteredController (Midi2Controller &mc, bool registered)
| Sets the flag of the MIDI2 controller struct if it describes a registered or assignable controller.
static void | setBank (Midi2Controller &mc, uint8 bank)
| Set the bank number of the MIDI2 controller struct.
static void | setIndex (Midi2Controller &mc, uint8 index)
| Set the index number of the MIDI2 controller struct.

## Public Attributes
uint8 | byte1
| Bits 0-6 of byte1 specify the bank.
uint8 | byte2
| Bits 0-6 of byte2 specify the controller index.

## Detailed Description

Midi2Controller.

describes a MIDI 2.0 Registered or Assignable Controller

## Member Function Documentation

## ◆ isRegisteredController()

static bool isRegisteredController | ( | const Midi2Controller & | mc | ) |
| inlinestatic

Returns true if the MIDI2 controller struct is a registered controller and false if it is an assignable controller.

## ◆ bank()

static uint8 bank | ( | const Midi2Controller & | mc | ) |
| inlinestatic

Returns the bank number of the MIDI2 controller struct.

## ◆ index()

static uint8 index | ( | const Midi2Controller & | mc | ) |
| inlinestatic

Returns the index number of the MIDI2 controller struct.

## ◆ create()

static Midi2Controller create | ( | bool | registered,
|  | uint8 | bank,
|  | uint8 | index )
| inlinestatic

Creates a new MIDI2 controller struct.

## ◆ setIsRegisteredController()

static void setIsRegisteredController | ( | Midi2Controller & | mc,
|  | bool | registered )
| inlinestatic

Sets the flag of the MIDI2 controller struct if it describes a registered or assignable controller.

## ◆ setBank()

static void setBank | ( | Midi2Controller & | mc,
|  | uint8 | bank )
| inlinestatic

Set the bank number of the MIDI2 controller struct.

## ◆ setIndex()

static void setIndex | ( | Midi2Controller & | mc,
|  | uint8 | index )
| inlinestatic

Set the index number of the MIDI2 controller struct.

## Member Data Documentation

## ◆ byte1

uint8 byte1

Bits 0-6 of byte1 specify the bank.

Bit 7 (MSB) indicates the controller type: set = registered controller, clear = assignable controller.

## ◆ byte2

uint8 byte2

Bits 0-6 of byte2 specify the controller index.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.